package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.SysTenant;
import com.bizmatics.model.vo.SysTenantOneVo;
import com.bizmatics.model.vo.SysTenantVo;
import com.bizmatics.service.SysTenantService;
import com.bizmatics.service.system.ISysUserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 个人中心
 *
 * @author ya
 * @since 2022-05-05
 */
@RestController
@RequestMapping("/sysTenant")
public class SysTenantController {

    @Autowired
    private SysTenantService sysTenantService;

    @Autowired
    private ISysUserService userService;


    /**
     * 个人中心-信息查询
     *
     * @return
     */
    @GetMapping("getUserData")
    public ApiResult<List<SysTenantVo>> getUserData() {
        return ApiResult.success(sysTenantService.getUserData());
    }




}

