package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-06-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BulletinAlarmConfig implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 历史数据关联表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 列表标题
     */
    private String listTitle;

    /**
     * 图标路径
     */
    private String iconPath;

    /**
     * 告警类型
     */
    private String alarmType;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 站点id
     */
    private Integer siteId;

    /**
     * X轴坐标
     */
    private Integer coordinatex;

    /**
     * Y轴坐标
     */
    private Integer coordinatey;

    /**
     * 宽
     */
    private Integer wide;

    /**
     * 高
     */
    private Integer high;


}
