package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BulletinContentList implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 内容清单ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 清单图片路径
     */
    private String picturePath;

    /**
     * 清单标题
     */
    private String listTitle;

    /**
     * 清单内容
     */
    private String listContent;


}
