package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-06-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BulletinHistoricalConfig implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 关键数据配置表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 数据标题
     */
    private String dataTitle;

    /**
     * 图标路径
     */
    private String iconPath;

    /**
     * 查询周期
     */
    private Integer queryCycle;

    /**
     * 查询类型
     */
    private Integer queryType;

    /**
     * 最大值是否标注
     */
    private Integer maxDimension;

    /**
     * 最小值是否标注
     */
    private Integer minDimension;

    /**
     * 平均值是否标注
     */
    private Integer meanDimension;

    /**
     * 纵轴自适应
     */
    private Integer lonAdaptation;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 站点id
     */
    private Integer siteId;

    /**
     * X轴坐标
     */
    private Integer coordinatex;

    /**
     * Y轴坐标
     */
    private Integer coordinatey;

    /**
     * 宽
     */
    private Integer wide;

    /**
     * 高
     */
    private Integer high;


}
