package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-06-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BulletinHistoricalRelation implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 历史数据关联表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 历史数据模块id
     */
    private Integer historicalId;

    /**
     * 监控设备id
     */
    private Integer deviceId;

    /**
     * 变量id
     */
    private Integer variableId;

    /**
     * 统计图颜色
     */
    private String graphicColor;

    /**
     * 1折线图 2柱形图
     */
    private Integer graphicType;

    /**
     * 显示名称
     */
    private String displayName;


}
