package com.bizmatics.model.system;

import com.bizmatics.model.base.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.Email;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.util.Date;
import java.util.List;


/**
 * 用户对象 sys_user
 * 
 * @author yq
 */
public class LoginStyle extends BaseEntity
{
    /** 公司名称 */
    private String companyName;

    /** log路径 */
    private String logImgUrl;

    /** 背景路径 */
    private String backdropUrl;

    public String getCompanyName()
    {
        return companyName;
    }

    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getLogImgUrl()
    {
        return logImgUrl;
    }

    public void setLogImgUrl(String logImgUrl)
    {
        this.logImgUrl = logImgUrl;
    }

    public String getBackdropUrl()
    {
        return backdropUrl;
    }

    public void setBackdropUrl(String backdropUrl)
    {
        this.backdropUrl = backdropUrl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("companyName", getCompanyName())
                .append("logImgUrl", getLogImgUrl())
                .append("backdropUrl", getBackdropUrl())
                .toString();
    }
}
