package com.bizmatics.model.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author ya
 * @since 2022-03-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class HookupOneVo implements Serializable {


    /**
     * 外层Type
     */
    private String type;

    /**
     * 标题
     */
    private String title;

    /**
     * 样式模板
     */
    private String template;

    /**
     * 所需道具
     */
    private Object props;

    /**
     * 默认颜色
     */
    private String defaultColor;

    /**
     * 图片路径
     */
    private String priviewImg;

    /**
     * 所属站点ID
     */
    private HookupComponentBasicsVo array;

    private String dataType;

    private String createType;

    private String echartsOption;

    private String svgLineSelectval;

    private String elementBool;


}
