package com.bizmatics.model.vo;

import com.bizmatics.model.base.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


/**
 *
 * 
 * @author yq
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysMenuOneVo  implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 菜单ID */
    private Long id;

    /** 菜单名称 */
    private String menu;

    /** 子菜单名称 */
    private Object authority;

    private Long fid;

    /**
     * 菜单状态
     */
    private Boolean checked;
}
