package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.BulletinCruxConfig;
import com.bizmatics.model.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-06-01
 */
public interface BulletinCruxConfigMapper extends CrudMapper<BulletinCruxConfig> {
    int delBulletinCruxConfig(Integer id);

    int delBulletinHistoricalConfig(Integer id);

    int delBulletinAlarmConfig(Integer id);

    int delBulletinHistoricalRelation(Integer historicalId);

    List<SiteData> getSiteData(Integer siteId);

    List<RtData> getTextData(String table, String fieldData, String deviceCode, String startTime, String endTime);

    Integer getAlarmCount(@Param("siteId") Integer siteId);

    List<BulletinHistoricalRelationVo> getRelationData(Integer siteId);

    List<BulletinCruxConfigVo> getBulletinHistoricalConfig(Integer siteId, Integer id);

    List<DeviceDataVo> getDeviceData(Integer id);

    List<RtData> getHtAnalogData(String table, String fieldData, String deviceCode, String startTime, String endTime, String group);

    List<BulletinCruxConfigVo> getBulletinAlarmConfig(Integer siteId, Integer id);

    List<AlarmPowerVo> getAlarmPower(Integer siteId, String measName);
}
