package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.SysLoginLog;
import com.bizmatics.model.vo.SysLoginLogVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 系统访问记录 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-06-02
 */
public interface SysLoginLogMapper extends CrudMapper<SysLoginLog> {

    List<SysLoginLogVo> getLoginLogList(@Param("ipaddr") String ipaddr,
                                        @Param("userName") String userName,
                                        @Param("nickName") String nickName,
                                        @Param("status") Integer status,
                                        @Param("startTime") String startTime,
                                        @Param("endTime") String endTime,
                                        @Param("current") Integer current,
                                        @Param("size") Integer size);

    Integer getLoginLogCount(@Param("ipaddr") String ipaddr,
                             @Param("userName") String userName,
                             @Param("nickName") String nickName,
                             @Param("status") Integer status,
                             @Param("startTime") String startTime,
                             @Param("endTime") String endTime);

}
