package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.SysPlatformMenu;
import com.bizmatics.model.SysTenantMenu;
import com.bizmatics.model.system.SysMenu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 平台和菜单关联表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-05-18
 */
public interface SysPlatformMenuMapper extends CrudMapper<SysPlatformMenu> {

    List<SysMenu> getMenuList(@Param("platformId") Integer platformId,
                              @Param("menuType") String menuType);

    List<SysMenu> getMenuIdList(Long[] menuIds, String menuType);

    int deleteTenantMenuBy(Long tenantId);

    List<SysTenantMenu> getMenuListOne(@Param("tenantId") Integer tenantId,
                                       @Param("menuType") String menuType);
}
