package com.bizmatics.persistence.mapper;

import com.bizmatics.model.SysTenantConfig;
import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.system.SysMenu;
import com.bizmatics.model.vo.SysTenantConfigVo;
import com.bizmatics.model.vo.SysTenantVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 租户配置表 Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2022-05-06
 */
public interface SysTenantConfigMapper extends CrudMapper<SysTenantConfig> {
    List<SysTenantConfigVo> getTenantConfig(@Param("url") String url);

    List<SysMenu> getMenuBoxList(@Param("tenantId") Integer tenantId,
                                 @Param("menuType") String menuType);
}
