package com.bizmatics.service;

import com.bizmatics.model.BulletinAlarmConfig;
import com.bizmatics.model.BulletinCruxConfig;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.DeviceAnalogVariableList;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.vo.BulletinCruxConfigVo;
import com.bizmatics.model.vo.BulletinHistoricalConfigAddVo;
import com.bizmatics.model.vo.BulletinHistoricalRelationVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-06-01
 */
public interface BulletinCruxConfigService extends CrudService<BulletinCruxConfig> {

    List<Object> getBulletinCruxConfigList(Integer siteId, Integer id, String colorType);

    void editBulletinCruxConfig(BulletinCruxConfig bulletinCruxConfig);

    void editBulletinHistoricalConfig(BulletinHistoricalConfigAddVo bulletinHistoricalConfigAddVo);

    void editBulletinAlarmConfig(BulletinAlarmConfig bulletinAlarmConfig);

    void delBulletinCruxConfig(Integer id);

    void delBulletinHistoricalConfig(Integer id);

    void delBulletinAlarmConfig(Integer id);

    List<DeviceAttribute> getDeviceAttribute(Integer siteId);

    List<DeviceAnalogVariableList> getDeviceAnalogVariableList(Integer monitoringEquipment);

    List<BulletinCruxConfigVo> getBulletinHistoricalConfig(Integer siteId,Integer id);

    List<BulletinHistoricalRelationVo> getBulletinHistoricalRelationVo(Integer siteId);

    List<BulletinCruxConfigVo> getBulletinAlarmConfig(Integer siteId, Integer id);

    List<BulletinCruxConfigVo> getbulletinCruxConfig(Integer siteId, Integer id);
}
