package com.bizmatics.service;

import com.bizmatics.model.DeviceAnalogVariableList;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.Hookup;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.vo.HookupComponentCompleteOneVo;
import com.bizmatics.model.vo.HookupComponentCompleteVo;
import com.bizmatics.model.vo.HookupOneVo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2022-03-07
 */
public interface HookupService extends CrudService<Hookup> {
    List<DeviceAttribute> getDeviceAttributeList(Integer siteId);

    List<DeviceAnalogVariableList> getDeviceAnalogVariableList(Integer monitoringDeviceId);

    List<HookupOneVo> gethookupComponentBasics(Integer siteId);

    List<HookupComponentCompleteVo> getHookupComponentComplete(Integer siteId);

    void setHookupComponentComplete(List<HookupComponentCompleteOneVo> hookupComponentCompleteOneVoList);
}
