package com.bizmatics.service;

import com.bizmatics.model.SysTenantConfig;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.system.SysMenu;
import com.bizmatics.model.vo.SysTenantConfigVo;

import java.util.List;

/**
 * <p>
 * 租户配置表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-05-06
 */
public interface SysTenantConfigService extends CrudService<SysTenantConfig> {
    List<SysTenantConfigVo> getTenantConfig(String url);

    List<SysTenantConfig> getMiddleConfig();

    List<SysTenantConfig> getMiddleConfigList(Integer tenantId);

    void addMiddleConfig(SysTenantConfig sysTenantConfig);

    void updaMiddleConfig(SysTenantConfig sysTenantConfig);

    List<SysMenu> getMenuBoxList(Integer tenantId);
}
