package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.model.SysTenant;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.system.SysUser;
import com.bizmatics.model.vo.SysTenantOneVo;
import com.bizmatics.model.vo.SysTenantTwoVo;
import com.bizmatics.model.vo.SysTenantVo;

import java.util.List;

/**
 * <p>
 * 租户信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-05-05
 */
public interface SysTenantService extends CrudService<SysTenant> {
    List<SysTenantVo> getUserData();

    CommonPage<SysTenantTwoVo> getTenantData(SysTenantOneVo sysTenantOneVo);

    void addTenantData(SysTenant sysTenant);

    void updateTenantData(SysTenant sysTenant);

    CommonPage<SysTenantTwoVo> getTenantDataOne(String tenantName, String tenantManager, Integer page, Integer size);

}
