package com.bizmatics.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.bizmatics.model.BulletinContentList;
import com.bizmatics.model.DeviceAnalogVariableList;
import com.bizmatics.model.DeviceAttribute;
import com.bizmatics.model.vo.DeviceOneVo;
import com.bizmatics.persistence.mapper.BulletinContentListMapper;
import com.bizmatics.service.BulletinContentListService;
import com.bizmatics.common.mvc.base.AbstractCrudService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author ya
 * @since 2022-06-01
 */
@Service
public class BulletinContentListServiceImpl extends AbstractCrudService<BulletinContentListMapper, BulletinContentList> implements BulletinContentListService {
    /**
     * 内容清单列表查询
     * @return
     */
    public List<BulletinContentList> getBulletinContentList() {
        LambdaQueryWrapper<BulletinContentList> queryWrapper = Wrappers.lambdaQuery();
        List<BulletinContentList> bulletinContentList = this.list(queryWrapper);
        return bulletinContentList;
    }
}
