package com.bizmatics.controller.web;


import com.bizmatics.common.core.bean.ApiResult;
import com.bizmatics.model.BulletinContentList;
import com.bizmatics.service.BulletinContentListService;
import com.bizmatics.service.vo.DeviceCountVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 内容清单
 *
 * @author ya
 * @since 2022-06-01
 */
@RestController
@RequestMapping("/bulletinContentList")
public class BulletinContentListController {

    @Autowired
    private BulletinContentListService bulletinContentListService;

    /**
     * 内容清单列表查询
     * @return
     */
    @GetMapping("/getBulletinContentList")
    public ApiResult<List<BulletinContentList>> getBulletinContentList() {
        return ApiResult.success(bulletinContentListService.getBulletinContentList());
    }

}

