package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BulletinCruxConfig implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 关键数据配置表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 数据名称
     */
    private String dataName;

    /**
     * 数据类型
     */
    private Integer dataType;

    /**
     * 数据取值
     */
    private Integer dataValue;

    /**
     * 背景颜色
     */
    private String backgroundColor;

    /**
     * 数据名称颜色
     */
    private String dataNameColor;

    /**
     * 数据值颜色
     */
    private String dataValueColor;

    /**
     * 数据名称字体大小
     */
    private String dataNameFont;

    /**
     * 数据值字体大小
     */
    private String dataValueFont;

    /**
     * 图标路径
     */
    private String iconPath;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 站点id
     */
    private Integer siteId;

    /**
     * 监控设备id
     */
    private Integer deviceId;

    /**
     * 变量ID
     */
    private Integer variableId;

    /**
     * 计算周期：1本日 2本月 3本年 4实时值
     */
    private Integer cycle;

    /**
     * 计算方法：1平均 2最大 3最小
     */
    private Integer method;

    /**
     * 保留小数
     */
    private Integer digit;

    /**
     * X轴坐标
     */
    private Integer coordinatex;

    /**
     * Y轴坐标
     */
    private Integer coordinatey;

    /**
     * 宽
     */
    private Integer wide;

    /**
     * 高
     */
    private Integer high;
}
