package com.bizmatics.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ya
 * @since 2022-03-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Hookup implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 接线图元器件数据表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 外层Type
     */
    @TableField("outerType")
    private String outerType;

    /**
     * 标题
     */
    private String title;

    /**
     * 样式模板
     */
    private String template;

    /**
     * 所需道具
     */
    private String props;

    /**
     * 默认颜色
     */
    private String defaultColor;

    /**
     * 图片路径
     */
    private String priviewImg;

    /**
     * 所属站点ID
     */
    private Integer siteId;

    /**
     * 创建人
     */
    private String creator;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;


    @TableField("dataType")
    private String dataType;
    @TableField("createType")
    private String createType;
    @TableField("echartsOption")
    private String echartsOption;
    @TableField("svgLineSelectval")
    private String svgLineSelectval;
    @TableField("elementBool")
    private String elementBool;


}
