package com.bizmatics.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author ya
 * @since 2022-06-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BulletinCruxConfigVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 关键数据配置表ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 数据名称
     */
    private String dataName;

    /**
     * 数据类型
     */
    private Integer dataType;

    /**
     * 数据取值
     */
    private Integer dataValue;

    /**
     * 背景颜色
     */
    private String backgroundColor;

    /**
     * 数据名称颜色
     */
    private String dataNameColor;

    /**
     * 数据值颜色
     */
    private String dataValueColor;

    /**
     * 数据名称字体大小
     */
    private String dataNameFont;

    /**
     * 数据值字体大小
     */
    private String dataValueFont;

    /**
     * 图标路径
     */
    private String iconPath;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 站点id
     */
    private Integer siteId;

    /**
     * 变量ID
     */
    private Integer variableId;

    /**
     * 计算周期：1本日 2本月 3本年 4实时值
     */
    private Integer cycle;

    /**
     * 计算方法：1平均 2最大 3最小
     */
    private Integer method;

    /**
     * 保留小数
     */
    private Integer digit;


    private Object textValue;

    private String i;

    /**
     * X轴坐标
     */
    private Integer coordinatex;

    /**
     * Y轴坐标
     */
    private Integer coordinatey;

    /**
     * 宽
     */
    private Integer wide;

    /**
     * 高
     */
    private Integer high;


    /**
     * 历史数据模块id
     */
    private Integer historicalId;

    /**
     * 监控设备id
     */
    private Integer deviceId;

    /**
     * 统计图颜色
     */
    private String graphicColor;

    /**
     * 1折线图 2柱形图
     */
    private Integer graphicType;

    /**
     * 显示名称
     */
    private String displayName;

    /**
     * 变量配置
     */
    private Object relationData;

    /**
     * 模板类型
     */
    private String colorType;


    /**
     * 列表标题
     */
    private String listTitle;


    /**
     * 告警类型
     */
    private String alarmType;

    private Integer x;
    private Integer y;
    private Integer w;
    private Integer h;

    /**
     * 数据标题
     */
    private String dataTitle;

    /**
     * 查询周期
     */
    private Integer queryCycle;

    /**
     * 查询类型
     */
    private Integer queryType;

    /**
     * 最大值是否标注
     */
    private Integer maxDimension;

    /**
     * 最小值是否标注
     */
    private Integer minDimension;

    /**
     * 平均值是否标注
     */
    private Integer meanDimension;

    /**
     * 纵轴自适应
     */
    private Integer lonAdaptation;

}
