package com.bizmatics.persistence.mapper;

import com.bizmatics.common.mvc.base.CrudMapper;
import com.bizmatics.model.UserSite;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author ya
 * @since 2021-07-07
 */
@Repository
public interface UserSiteMapper extends CrudMapper<UserSite> {
    public int insertUserSite(@Param("id") Integer id,
                              @Param("userId") int userId,
                              @Param("siteId") int siteId);

    public List<UserSite> selectUserSiteById(Long userId);

    public int deleteUserSiteById(Long userId);
}
