package com.bizmatics.service;

import com.bizmatics.model.SysPlatformMenu;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.vo.SysMenuOneVo;
import com.bizmatics.model.vo.TenantMenuVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 平台和菜单关联表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-05-18
 */
public interface SysPlatformMenuService extends CrudService<SysPlatformMenu> {

    Map<String, Object> getMenuList(Integer platformId, Integer tenantId);

    void updateMenu(TenantMenuVo tenantMenuVo);
}
