package com.bizmatics.service;

import com.bizmatics.common.core.bean.CommonPage;
import com.bizmatics.common.mvc.base.CrudService;
import com.bizmatics.model.SysPlatform;
import com.bizmatics.model.vo.PlatformMenuVo;
import com.bizmatics.model.vo.SysPlatformVo;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 平台信息表 服务类
 * </p>
 *
 * @author ya
 * @since 2022-05-18
 */
public interface SysPlatformService extends CrudService<SysPlatform> {
    List<SysPlatform> getPlatformBoxList();

    CommonPage<SysPlatformVo> getPlatformList(String platformName, String startTime, String endTime, Integer page, Integer size, Integer id);

    Map<String, Object> getPlatformMenu(Long platformId);

    void updatePlatformMenu(PlatformMenuVo platformMenuVo);
}
